Subject: bug#14253: Testsuite failure in gnulib-tests: test programs cannot be built

From: Stefano Lattarini <[email-masked]>
Date: Wed, 24 Apr 2013 10:34:08 +0200

It happens when building from a bootstrapped git checkout, with the
latest master v8.21-40-g090294b).

This is the exact error:

  $ (cd gnulib-tests && make check)
  ...
  make[3]: Entering directory `/storage/home/stefano/src/gnu/coreutils/gnulib-tests'
  CC     localename.o
  cc1: error: ../intl: No such file or directory [-Werror]
  cc1: all warnings being treated as errors
  make[3]: *** [localename.o] Error 1

Some details that might be helpful:

  $ (cd gnulib-tests && make check V=1)
  ...
  make[3]: Entering directory `/storage/home/stefano/src/gnu/coreutils/gnulib-tests'
  depbase=`echo localename.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
  gcc -std=gnu99  -I. -I../lib  -DIN_COREUTILS_GNULIB_TESTS=1 \
   -I. -I. -I.. -I./.. -I../lib -I./../lib -I../intl  \
   -W \
   -Wabi \
   -Waddress \
   -Wall \
   -Warray-bounds \
   -Wattributes \
   -Wbad-function-cast \
   -Wbuiltin-macro-redefined \
   -Wcast-align \
   -Wchar-subscripts \
   -Wclobbered \
   -Wcomment \
   -Wcomments \
   -Wcoverage-mismatch \
   -Wcpp \
   -Wdeprecated \
   -Wdeprecated-declarations \
   -Wdisabled-optimization \
   -Wdiv-by-zero \
   -Wempty-body \
   -Wendif-labels \
   -Wenum-compare \
   -Wextra \
   -Wformat-contains-nul \
   -Wformat-extra-args \
   -Wformat-security \
   -Wformat-y2k \
   -Wformat-zero-length \
   -Wformat=2 \
   -Wfree-nonheap-object \
   -Wignored-qualifiers \
   -Wimplicit \
   -Wimplicit-function-declaration \
   -Wimplicit-int \
   -Winit-self \
   -Wint-to-pointer-cast \
   -Winvalid-memory-model \
   -Winvalid-pch \
   -Wjump-misses-init \
   -Wmain \
   -Wmaybe-uninitialized \
   -Wmissing-braces \
   -Wmissing-declarations \
   -Wmissing-field-initializers \
   -Wmissing-include-dirs \
   -Wmissing-noreturn \
   -Wmissing-parameter-type \
   -Wmudflap \
   -Wmultichar \
   -Wnarrowing \
   -Wnonnull \
   -Wnormalized=nfc \
   -Wold-style-declaration \
   -Woverflow \
   -Woverlength-strings \
   -Woverride-init \
   -Wpacked \
   -Wpacked-bitfield-compat \
   -Wparentheses \
   -Wpointer-arith \
   -Wpointer-sign \
   -Wpointer-to-int-cast \
   -Wpragmas \
   -Wreturn-type \
   -Wsequence-point \
   -Wshadow \
   -Wstrict-aliasing \
   -Wsuggest-attribute=noreturn \
   -Wswitch \
   -Wsync-nand \
   -Wtrampolines \
   -Wtrigraphs \
   -Wtype-limits \
   -Wunknown-pragmas \
   -Wunused \
   -Wunused-but-set-parameter \
   -Wunused-but-set-variable \
   -Wunused-function \
   -Wunused-label \
   -Wunused-local-typedefs \
   -Wunused-parameter \
   -Wunused-result \
   -Wunused-value \
   -Wunused-variable \
   -Wvariadic-macros \
   -Wvector-operation-performance \
   -Wvolatile-register-var \
   -Wwrite-strings \
   -Wno-sign-compare \
   -Wno-unused-parameter \
   -Wsuggest-attribute=noreturn \
   -Wno-format-nonliteral \
   -Wno-logical-op -fdiagnostics-show-option -funit-at-a-time \
   -Werror -g -O2 -MT localename.o -MD -MP -MF $depbase.Tpo -c -o localename.o localename.c &&\
  mv -f $depbase.Tpo $depbase.Po
  cc1: error: ../intl: No such file or directory [-Werror]
  cc1: all warnings being treated as errors
  make[3]: *** [localename.o] Error 1
  make[3]: Leaving directory `/storage/home/stefano/src/gnu/coreutils/gnulib-tests'
  make[2]: *** [check-am] Error 2
  make[2]: Leaving directory `/storage/home/stefano/src/gnu/coreutils/gnulib-tests'
  make[1]: *** [check-recursive] Error 1
  make[1]: Leaving directory `/storage/home/stefano/src/gnu/coreutils/gnulib-tests'
  make: *** [check] Error 2

  $ gcc --version
  gcc (Debian 4.7.2-5) 4.7.2
  Copyright (C) 2012 Free Software Foundation, Inc.
  This is free software; see the source for copying conditions.  There is NO
  warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Let me know if you need more information,
  Stefano